/*
 *  Initiative - A role playing utility to track turns
 *  Copyright (C) 2002 Devon D Jones
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *  The author of this program grants you the ability to use this code
 *  in conjunction with code that is covered under the Open Gaming License
 *
 */
package org.evilsoft.gaming.Init;

import org.openide.loaders.*;
import org.openide.nodes.*;
import org.openide.util.NbBundle;

/** A node to represent this object.
 *
 * @author  devon
 */
public class InitiativeDataNode extends DataNode {
    
    public InitiativeDataNode(InitiativeDataObject obj) {
        this(obj, Children.LEAF);
    }
    
    public InitiativeDataNode(InitiativeDataObject obj, Children ch) {
        super(obj, ch);
        setIconBase("/org/evilsoft/examples/NB4/TutorialDataIcon");
    }
    
    protected InitiativeDataObject getInitiativeDataObject() {
        return (InitiativeDataObject) getDataObject();
    }
    
    /* Example of adding Executor / Debugger / Arguments to node:
    protected Sheet createSheet () {
        Sheet sheet = super.createSheet ();
        Sheet.Set set = sheet.get (ExecSupport.PROP_EXECUTION);
        if (set == null) {
            set = new Sheet.Set ();
            set.setName (ExecSupport.PROP_EXECUTION);
            set.setDisplayName (NbBundle.getMessage (TutorialDataNode.class, "LBL_DataNode_exec_sheet"));
            set.setShortDescription (NbBundle.getMessage (TutorialDataNode.class, "HINT_DataNode_exec_sheet"));
        }
        ((ExecSupport) getCookie (ExecSupport.class)).addProperties (set);
        // Maybe:
        ((CompilerSupport) getCookie (CompilerSupport.class)).addProperties (set);
        sheet.put (set);
        return sheet;
    }
     */
    
    /*
    public SystemAction getDefaultAction () {
        return SystemAction.get (MyFavoriteAction.class);
    }
     */
    
}
